POST /sound_files

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/sound_files

Create Sound File.

Uploads a new Sound File, supplying a name, description, and the audio_file itself.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

audio_file
Optional Blank value allowed

Audio File

  • Must be a valid file upload.

sound_playlist_ids
Optional Blank value allowed

The Playlists this sound file belongs to.

token_value_ids
Optional Blank value allowed

Play this sound file only when the call matches these Tokens.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"